Proxy-seller

Update resident subpackage

Updates subpackage traffic limit, expiration, rotation, active state, or link-date flag.

POST
/personal/api/v2/{apiKey}/residentsubuser/update

Path Parameters

apiKey*string

Client API key.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://proxy-seller.com/personal/api/v2/abc123/residentsubuser/update" \  -H "Content-Type: application/json" \  -d '{    "rotation": 120,    "is_active": true,    "package_key": "f9ea7063d7a699b12b3e",    "traffic_limit": "2147483648"  }'

{
  "data": {
    "rotation": 120,
    "is_active": true,
    "expired_at": {
      "date": "2025-12-31 23:59:59.000000",
      "timezone": "UTC",
      "timezone_type": 3
    },
    "package_key": "f9ea7063d7a699b12b3e",
    "is_link_date": false,
    "traffic_left": "2147483648",
    "traffic_limit": "2147483648",
    "traffic_usage": "0",
    "traffic_left_sub": "0",
    "traffic_limit_sub": "0",
    "traffic_usage_sub": "0"
  },
  "errors": [],
  "status": "success"
}

{
  "code": 400,
  "message": "Bad request",
  "customData": null
}
{
  "error": "Too many requests"
}
Proxy-seller